<?php
include "includes/db.php";
include "includes/auth.php";
$msg="";
if (isset($_POST["save_changes"])) {
  $id=$_POST['id'];
  $name=$con->real_escape_string($_POST["name"]);
  $email=$con->real_escape_string($_POST["email"]);
  $phone=$con->real_escape_string($_POST["phone"]);
  $username=$con->real_escape_string($_POST["username"]);
  $password=$con->real_escape_string($_POST["password"]);
  $user_type=$con->real_escape_string($_POST["user_type"]);

 $query="UPDATE `users` SET `name`='$name',`email`='$email',`phone`='$phone',`username`='$username',`password`='$password',`user_type`='$user_type' WHERE `user_id`='$id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Staff Member Has Been Updated Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        }      
}

if (isset($_POST["add_staff"])) {
  $name=$con->real_escape_string($_POST["name"]);
  $email=$con->real_escape_string($_POST["email"]);
  $phone=$con->real_escape_string($_POST["phone"]);
  $username=$con->real_escape_string($_POST["username"]);
  $password=$con->real_escape_string($_POST["password"]);
  $user_type=$con->real_escape_string($_POST["user_type"]);

 $query="INSERT INTO `users` (`name`, `email`, `phone`, `username`, `password`, `user_type`,`user_status`) VALUES ('$name', '$email', '$phone', '$username', '$password', '$user_type','active')";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Staff Member Has Been Updated Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        }      
}


if (isset($_POST["delete"])) {
  $id=$_POST['id'];
  $query="DELETE FROM `users` WHERE `user_id` = '$id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Staff Member Has Been Deleted Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        } 
}

 ?>
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Staff List</title>
  <?php include "includes/links.php"; ?>

</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Staff List</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <button class="btn btn-primary btn-sm mb-2"  data-bs-toggle="modal" data-bs-target="#addStaff">Add Staff</button>
      <div class="row">
        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Staff Members</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
                <div class="col-md-12">
                  <table class="table datatable table-striped">
                <thead>
                  <tr>
                    <th>Name</th>
                    <th>Phone</th>
                    <th>Username</th>
                    <th>Type</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                  <?php
                        $profile_query = mysqli_query($con,"SELECT * FROM `users`");
                        while($fetch = mysqli_fetch_array($profile_query)){
                    ?>
                  <tr>
                    <td><?php echo $fetch["name"]; ?></td>
                    <td><?php echo $fetch["phone"]; ?></td>
                    <td><?php echo $fetch["username"]; ?></td>
                    <td><?php echo $user_type=$fetch["user_type"]; ?></td>
                    
                    <td>
                      <button class="btn btn-primary btn-sm"  data-bs-toggle="modal" data-bs-target="#edit_modal<?php echo $fetch["user_id"]; ?>"><i class="ri-edit-box-line"></i></button>
                      <button class="btn btn-danger btn-sm"  data-bs-toggle="modal" data-bs-target="#delete_modal<?php echo $fetch["user_id"]; ?>"><i class="ri-delete-bin-2-fill"></i></button>
                    </td>

              <div class="modal fade" id="edit_modal<?php echo $fetch["user_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-md">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title">Edit Details of <?php echo $fetch["name"]; ?>:</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST"  enctype="multipart/form-data">
                        <div class="row">
                        <div class="col-md-6">
                          <input type="hidden" name="id" value="<?php echo $fetch["user_id"]; ?>">
                          <label for="sd_name" class="form-label">Name:</label>
                          <input type="text" class="form-control"  id="sd_name" value="<?php echo $fetch["name"]; ?>" name="name">
                        </div>
                        <div class="col-md-6">
                          <label for="email" class="form-label">Email:</label>
                          <input type="email" class="form-control" id="email" value="<?php echo $fetch["email"]; ?>"  name="email">
                        </div>
                        <div class="col-md-6">
                          <label for="primary_phone" class="form-label">Phone Number:</label>
                          <input type="text" class="form-control" id="phone_number" value="<?php echo $fetch["phone"]; ?>" name="phone">
                        </div>
                        <div class="col-md-6">
                          <label for="secondary_phone" class="form-label">Username:</label>
                          <input type="text" class="form-control" id="username" value="<?php echo $fetch["username"]; ?>"  name="username">
                        </div>
                        <div class="col-md-12">
                          <label for="password" class="form-label">Password:</label>
                          <input type="password" class="form-control" id="password" value="<?php echo $fetch["password"]; ?>"  name="password">
                        </div>
                        
                        <div class="col-md-12">
                          <label for="address" class="form-label">Login Type:</label>
                          <select name="user_type" class="form-select">
                            <option>Select Any Login Type</option>
                            <option value="admin" <?php if($user_type=='admin'){echo "selected";} ?>>Admin</option>
                            <option value="manager" <?php if($user_type=='manager'){echo "selected";} ?>>Manager</option>
                            <option value="cashier" <?php if($user_type=='cashier'){echo "selected";} ?>>Cashier</option>
                            <option value="warehouse" <?php if($user_type=='admwarehousein'){echo "selected";} ?>>Warehouse</option>
                          </select>
                        </div>                    
                        </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-primary" name="save_changes">Save Changes</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

              <div class="modal fade" id="delete_modal<?php echo $fetch["user_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-md">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title"><?php echo $fetch["name"]; ?></h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row">
                      <div class="col-md-12">
                        <input type="hidden" name="id" value="<?php echo $fetch["user_id"]; ?>">
                        <p>Do you want to delete this Member?</p>
                      </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-danger" name="delete">Yes Delete</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

                  </tr>
                  <?php } ?>                  
                </tbody>
              </table>
                </div>              
            </div>
          </div>
        </div><!-- End Left side columns -->

              <div class="modal fade" id="addStaff" tabindex="-1">
                <div class="modal-dialog modal-md">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title">Add New Staff Member</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST"  enctype="multipart/form-data">
                        <div class="row">
                        <div class="col-md-6">
                          <label for="sd_name" class="form-label">Name:</label>
                          <input type="text" class="form-control"  id="sd_name" value="" name="name">
                        </div>
                        <div class="col-md-6">
                          <label for="email" class="form-label">Email:</label>
                          <input type="email" class="form-control" id="email" value=""  name="email">
                        </div>
                        <div class="col-md-6">
                          <label for="primary_phone" class="form-label">Phone Number:</label>
                          <input type="text" class="form-control" id="phone_number" value="" name="phone">
                        </div>
                        <div class="col-md-6">
                          <label for="secondary_phone" class="form-label">Username:</label>
                          <input type="text" class="form-control" id="username" value=""  name="username">
                        </div>
                        <div class="col-md-12">
                          <label for="password" class="form-label">Password:</label>
                          <input type="password" class="form-control" id="password" value=""  name="password">
                        </div>
                        
                        <div class="col-md-12">
                          <label for="address" class="form-label">Login Type:</label>
                          <select name="user_type" class="form-select" required>
                            <option value="" selected disabled>Select Any Login Type</option>
                            <option value="admin">Admin</option>
                            <option value="manager">Manager</option>
                            <option value="cashier">Cashier</option>
                            <option value="warehouse">Warehouse</option>
                          </select>
                        </div>                    
                        </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-primary" name="add_staff">Save Changes</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  
        

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>

</body>

</html>