<?php
include "includes/db.php";
include "includes/auth.php";
$msg="";
if (isset($_POST["add_sd"])) {
  
  $sd_name=$con->real_escape_string($_POST["sd_name"]);
  $email=$con->real_escape_string($_POST["email"]);
  $phone_number=$con->real_escape_string($_POST["phone_number"]);
  $business_partner_name=$con->real_escape_string($_POST["business_partner_name"]);
  $sale_tax_number=$con->real_escape_string($_POST["sale_tax_number"]);
  $cnic=$con->real_escape_string($_POST["cnic"]);
  $address=$con->real_escape_string($_POST["address"]);
  $total_balance=$con->real_escape_string($_POST["total_balance"]);
  $tax_type=$con->real_escape_string($_POST["tax_type"]);
  
        $query="INSERT INTO `sub_distributor`(`name`, `email`, `phone`, `business_partner_name`, `sale_tax_number`, `cnic`, `address`, `sd_balance`, `tax_type`) VALUES ('$sd_name','$email','$phone_number','$business_partner_name','$sale_tax_number','$cnic','$address','$total_balance','$tax_type')";
        
        if ($con->query($query) === TRUE) {
                  $msg .="<div class='alert alert-success'>SD Profile Has Been Created Successfully.</div>";
              } else {
                   $msg .="Error: " . $query . "<br>" . $con->error;
              }      
}


?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Add New SD</title>
  <?php include "includes/links.php"; ?>

</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Add New SD</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">

        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Create New SD's Profile</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
              <form class="row g-3" method="POST"  enctype="multipart/form-data">
                <div class="col-md-6">
                  <label for="sd_name" class="form-label">SD Name:</label>
                  <input type="text" class="form-control"  id="sd_name" name="sd_name">
                </div>
                <div class="col-md-6">
                  <label for="email" class="form-label">Email:</label>
                  <input type="email" class="form-control" id="email"  name="email">
                </div>
                <div class="col-md-6">
                  <label for="primary_phone" class="form-label">Phone Number:</label>
                  <input type="text" class="form-control" id="phone_number" name="phone_number">
                </div>
                <div class="col-md-6">
                  <label for="secondary_phone" class="form-label">Business Partner Name:</label>
                  <input type="text" class="form-control" id="business_partner_name"  name="business_partner_name">
                </div>
                <div class="col-md-6">
                  <label for="secondary_phone" class="form-label">Sale Tax Number:</label>
                  <input type="text" class="form-control" id="sale_tax_number"  name="sale_tax_number">
                </div>
                <div class="col-md-6">
                  <label for="secondary_phone" class="form-label">CNIC Number:</label>
                  <input type="text" class="form-control" id="cnic"  name="cnic">
                </div>
                <div class="col-md-12">
                  <label for="address" class="form-label">Postal Address:</label>
                  <textarea class="form-control" rows="3" name="address" id="address" spellcheck="false"></textarea>
                </div>
                
                <div class="col-md-12">
                  <label for="credit_amount" class="form-label">Total Balance:</label>
                  <input type="number" class="form-control" id="credit_amount" name="total_balance">
                </div>
                <div class="col-md-12">
                  <label class="form-label">Tax Type:</label>
                  <div class="form-check">
                    <label class="form-check-label">
                      <input type="radio" class="form-check-input" name="tax_type" value="Filler">Filler
                    </label>
                  </div>
                  <div class="form-check">
                    <label class="form-check-label">
                      <input type="radio" class="form-check-input" name="tax_type" value="Non Filler">Non Filler
                    </label>
                  </div>

                </div>
                
                <div class="text-right">
                  <button type="submit" class="btn btn-primary" name="add_sd">Create Profile</button>
                </div>
              </form><!-- End No Labels Form -->

            </div>
          </div>
        </div><!-- End Left side columns -->

        

      </div>
    </section>

  </main><!-- End #main -->
  <script type="text/javascript">
    document.getElementById('formFile').addEventListener('change', function(event) {
    var file = event.target.files[0];
    var reader = new FileReader();
    
    reader.onload = function(e) {
        var preview = document.getElementById('preview');
        preview.src = e.target.result;
        preview.style.display = 'block'; // Make the preview visible
    };
    
    // Read the image file as a data URL to trigger the onload function
    reader.readAsDataURL(file);
});

  </script>
  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>

</body>

</html>