<?php
require_once 'dompdf/autoload.inc.php';
// reference the Dompdf namespace
use Dompdf\Dompdf;

include "includes/db.php";
include "includes/auth.php";
$msg="";
$id=$_GET['id'];

$sales_query = mysqli_query($con,"SELECT * FROM `purchase_history` where purchase_history_id='$id'");
  while($fetch_data = mysqli_fetch_array($sales_query)){ 
    $pc_products=$fetch_data["pc_products"];
    $npc_products=$fetch_data["npc_products"];
    $total_cartons=$fetch_data["total_cartons"];
    $total_weight=$fetch_data["total_weight"];
    $total_amount=$fetch_data["total_amount"];
    $date_time=$fetch_data["date_time"];
    $vehicle_no=$fetch_data["vehicle_no"];
  }
$date_time=strtotime($date_time);
$formatted_date = date("D, d M y | h:i A", $date_time);

$date=date("Y/m/d");  
$products_area='';
if ($pc_products!="") {
     $products_area.='<tr class="heading"><td>PC List</td></tr>
                <tr class="heading1">
                   <td>Product</td>
                   <td>Purchase Price <small>(18% GST)</small></td>
                   <td>Cartons</td>
                    <td>Weight</td>
                    <td>Amount</td>
                </tr>'.$pc_products;
}
if ($npc_products!="") {
     $products_area.='<tr class="heading"><td>NPC List</td></tr>
                <tr class="heading1">
                   <td>Product</td>
                   <td>Purchase Price <small>(18% GST)</small></td>
                   <td>Cartons</td>
                    <td>Weight</td>
                    <td>Amount</td>
                </tr>'.$npc_products;
}

$content='<style>
         .invoice-box {
            margin: auto;
            border: 1px solid #eee;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
            font-size: 16px;
            line-height: 24px;
            color: #555;
         }

         .invoice-box table {
            line-height: inherit;
            text-align: left;
            border-collapse: collapse;
         }

         .invoice-box table td {
            padding: 5px;
            vertical-align: top;
         }

         .invoice-box table tr td:nth-child(2) {
            text-align: left;
         }

         .invoice-box table tr.top table td {
            padding-bottom: 20px;
         }

         .invoice-box table tr.top table td.title {
            font-size: 45px;
            line-height: 45px;
            color: #333;
         }

         .invoice-box table tr.information table td {
            padding-bottom: 40px;
         }

         .invoice-box table tr.heading td {
            background: #716cb9;
            border-bottom: 1px solid #ddd;
            font-weight: bold;
            color: white;
            font-size:18px;
         }

         .heading1 {
            background: #e3e3e3;
            border-bottom: 1px solid #ddd;
            font-weight: bold;
            color: #3a3a3a;
            font-size: 16px;
         }

         .invoice-box table tr.details td {
            padding-bottom: 20px;
         }

         .invoice-box table tr.item td {
            border-bottom: 1px solid #eee;
         }

         .invoice-box table tr.item.last td {
            border-bottom: none;
         }

         .invoice-box table tr.total td:nth-child(2) {
            border-top: 2px solid #eee;
            font-weight: bold;
         }

      </style>
      <div class="invoice-box">
      <p style="font-size:22px;font-weight:bold;color:#252161;text-align:center;padding-top:20px;font-family:sans-serif">Purchase Details </p>
         <table style="width:100%">
            <tr class="top">
               <td colspan="5">
                  <table style="width:100%">
                     <tr>
                        <td class="title">
                           <img src="https://mhadeed.com/mh-enterprises/assets/img/logo.png" alt="Company logo" style="max-width: 120px;" />
                        </td>
                        <td style="text-align: right;">
                           SR: #'.$id.'<br/>
                           By: Sheikh Usman<br/>
                           '.$formatted_date.'<br/>
                           Vehicle No:
                           '.$vehicle_no.'<br/>
                        </td>
                     </tr>
                  </table>
               </td>
            </tr>

            <tr class="information">
               <td colspan="5">
                  <table style="width:100%">
                     <tr>
                         <td>
                          <b>From:</b> <br /> 
                           MH Enterprises<br />
                           Mudassar Bhatti Cotton Mill Near AMK Steel Mills <br />Opposite Maverick CNG Falsalabad <br />Bye Pass SheikhupuraK<br />
                           03218620288<br />
                        </td>

                        <td style="text-align: right;"></td>
                     </tr>
                     
                  </table>
               </td>
            </tr>
            '.$products_area.'
            <tr class="heading1">
                        <td colspan="2" style="text-align:right">Total</td>
                        <td>'.$total_cartons.'</td>
                        <td>'.$total_weight.'</td>
                        <td>'.$total_amount.'</td>
                     </tr>
            </table></div>';



if (isset($_POST["genrate_pdf"])) {
            

          
            $date=date("Y-m-d");
            $PDFFileN = "purchase_".$date.".pdf";
            

            // instantiate and use the dompdf class
            $dompdf = new Dompdf(array('enable_remote' => true));

            $dompdf->loadHtml($content);

            // (Optional) Setup the paper size and orientation
            $dompdf->setPaper('A4', 'portrait');

            // Render the HTML as PDF
            $dompdf->render();

            $dompdf->stream($PDFFileN);

          }




 ?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - View Purchase Details</title>
  <?php include "includes/links.php"; ?>

</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Sales List</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">

        <!-- Left side columns -->
        <div class="col-lg-12">
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Sales</h5>
              <form method="POST" class="mb-2">
                <button class="btn btn-primary" type="submit" name="genrate_pdf"><i class="bi bi-file-earmark-pdf"></i></button>
               <button class="btn btn-success" id="print_button"><i class="bi bi-printer-fill"></i></button>
              </form>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
                 <div id="print_area">
                    <?php echo $content; ?>
                  </div>                           
            </div>
          </div>
        </div><!-- End Left side columns -->

        

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>
  <style>        
        .news {
            list-style-type: none;
            padding: 10px 0;
            display: inline-flex;
            justify-content: space-between;
            box-sizing: border-box;
         }
         .news li {
            box-sizing: border-box;
            padding-right: 10px;
         }
         .news li a {
            box-sizing: border-box;
            background-color: #e2e6e6;
            padding: 8px;
            text-decoration: none;
            font-size: 12px;
            font-weight: bold;
            color: #616872;
            border-radius: 4px;
         }
         .news li a:hover {
            background-color: #d4dada;
         }
         .news .next a, .news .prev a {
            text-transform: uppercase;
            font-size: 12px;
         }
         .news .currentpage a {
            background-color: #518acb;
            color: #fff;
         }
         .news .currentpage a:hover {
            background-color: #518acb;
         }
         </style>
         <script type="text/javascript">          
             const datatables = select('.datatable', true)
              datatables.forEach(datatable => {
                new simpleDatatables.DataTable(datatable, {
                  perPageSelect: [5, 10, 15, ["All", -1]],
                  "paging": false,
                  columns: [{
                      select: 2,
                      sortSequence: ["desc", "asc"]
                    },
                    {
                      select: 3,
                      sortSequence: ["desc"]
                    },
                    {
                      select: 4,
                      cellClass: "green",
                      headerClass: "red"
                    }
                  ]
                });
              })
         </script>
</body>
<script>
    document.getElementById('print_button').addEventListener('click', function() {
        var printContents = document.getElementById('print_area').innerHTML;
        var originalContents = document.body.innerHTML;
        document.body.innerHTML = printContents;
        window.print();
        document.body.innerHTML = originalContents;
    });
</script>
</html>
