<?php
require_once 'dompdf/autoload.inc.php';
// reference the Dompdf namespace
use Dompdf\Dompdf;
include "includes/db.php";
include "includes/auth.php";
$msg="";
if (isset($_POST["save_changes"])) {
  $product_id=$_POST['product_id'];
  $description=$con->real_escape_string($_POST["description"]);
  $quantity=$con->real_escape_string($_POST["quantity"]);
  $packing=$con->real_escape_string($_POST["packing"]);
  $gram_weight=$con->real_escape_string($_POST["gram_weight"]);
  $total_weight=$con->real_escape_string($_POST["weight"]);
  $unit_price=$con->real_escape_string($_POST["unit_price"]);
  $sale_price=$con->real_escape_string($_POST["sale_price"]);
  $query="UPDATE `products`
                  SET
                    `description` = '$description',
                    `quantity` = '$quantity',
                    `packing` = '$packing',
                    `grams_weight` = '$gram_weight',
                    `total_weight` = '$total_weight',
                    `unit_price` = '$unit_price',
                    `sale_price` = '$sale_price'
                  WHERE
                    `product_id` = '$product_id'";
  if ($con->query($query) === TRUE) {
            $msg .="<div class='alert alert-success'>Product Has Been Updated Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        }      
}
if (isset($_POST["delete"])) {
  $sd_id=$_POST['sd_id'];
  $sale_date=$_POST['sale_date'];

  $query="DELETE FROM `sales_history` WHERE `sd_id` = '$sd_id' AND `sale_date` = '$sale_date'";
  if ($con->query($query) === TRUE) {
          $Inner_query="DELETE FROM `sales` WHERE `sd_id` = '$sd_id' AND `sale_date` = '$sale_date'";
          $con->query($Inner_query);
            $msg .="<div class='alert alert-success'>Sale Record Has Been Deleted Successfully.</div>";
        } else {
             $msg .="Error: " . $query . "<br>" . $con->error;
        } 
}


 
if (isset($_POST["genrate_pdf"])) {
  $sale_history_id=$_POST["sale_history_id"];
  $sd_ac_balance=$_POST["sd_ac_balance"];
  $sales_query = mysqli_query($con,"SELECT * FROM `sales_history` where sale_history_id='$sale_history_id'");
  while($fetch_data = mysqli_fetch_array($sales_query)){
    $sd_name=$fetch_data["sd_name"];
    $sd_phone=$fetch_data["sd_phone"];
    $sd_balance=$fetch_data["sd_balance"];
    $pc_products=$fetch_data["pc_products"];
    $npc_products=$fetch_data["npc_products"];
    $total_cartons=$fetch_data["total_cartons"];
    $total_weight=$fetch_data["total_weight"];
    $total_amount=$fetch_data["total_amount"];
    $date_time=$fetch_data["date_time"];
    $driver_name=$fetch_data["driver_name"];
    $driver_phone=$fetch_data["driver_phone"];
    $vehicle_no=$fetch_data["vehicle_no"];

    $gst_amount=$fetch_data["gst_value"];
    $grand_total=$fetch_data["grand_total"];

    $whm_percentage=$fetch_data["whm_percentage"];
    $whm_amount=$fetch_data["whm_amount"];

  }

$date_time=strtotime($date_time);
$formatted_date = date("D, d M y | h:i A", $date_time);
$date=date("Y/m/d");  
$products_area='';
if ($pc_products!="") {
     $products_area.='<tr class="heading"><td>PC List</td></tr>
                <tr class="heading1">
                   <td>Code</td>
                   <td>Product</td>
                   <td>Sale Price</td>
                   <td>Cartons</td>
                    <td>Weight</td>
                    <td>Amount</td>
                </tr>'.$pc_products;
}
if ($npc_products!="") {
     $products_area.='<tr class="heading"><td>NPC List</td></tr>
                <tr class="heading1">
                    <td>Code</td>
                   <td>Product</td>
                   <td>Sale Price</td>
                   <td>Cartons</td>
                    <td>Weight</td>
                    <td>Amount</td>
                </tr>'.$npc_products;
}

$content='<style>
         .invoice-box {
            margin: auto;
            border: 1px solid #eee;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
            font-size: 12px;
            line-height: 20px;
            color: #555;
         }

         .invoice-box table {
            line-height: inherit;
            text-align: left;
            border-collapse: collapse;
         }

         .invoice-box table td {
            padding: 2px;
            vertical-align: top;
         }

         .invoice-box table tr td:nth-child(2) {
            text-align: left;
         }

         .invoice-box table tr.top table td {
            padding-bottom: 0px;
         }

         .invoice-box table tr.top table td.title {
            font-size: 20px;
            line-height: 45px;
            color: #333;
         }

         .invoice-box table tr.information table td {
            padding-bottom: 10px;
         }

         .invoice-box table tr.heading td {
            background: #716cb9;
            border-bottom: 1px solid #ddd;
            font-weight: bold;
            color: white;
            font-size:18px;
         }

         .heading1 {
            background: #e3e3e3;
            border-bottom: 1px solid #ddd;
            font-weight: bold;
            color: #3a3a3a;
            font-size: 16px;
         }

         .invoice-box table tr.details td {
            padding-bottom: 20px;
         }

         .invoice-box table tr.item td {
            border-bottom: 1px solid #eee;
         }

         .invoice-box table tr.item.last td {
            border-bottom: none;
         }

         .invoice-box table tr.total td:nth-child(2) {
            border-top: 2px solid #eee;
            font-weight: bold;
         }

      </style>
      <div class="invoice-box">
      <p style="font-size:22px;font-weight:bold;color:#252161;text-align:center;padding-top:20px;font-family:sans-serif">Sale Details </p>
         <table style="width:100%">
            <tr class="top">
               <td colspan="6">
                  <table style="width:100%">
                     <tr>
                        <td class="title">
                           <img src="https://mhadeed.com/mh-enterprises/assets/img/logo.png" alt="Company logo" style="max-width: 120px;" />
                        </td>
                        <td style="text-align: right;">
                           SR: #'.$sale_history_id.'<br/>
                           By: Sheikh Usman<br/>
                           '.$formatted_date.'
                        </td>
                     </tr>
                  </table>
               </td>
            </tr>

            <tr class="information">
               <td colspan="6">
                  <table style="width:100%">
                     <tr>
                         <td>
                          <b>From:</b> <br /> 
                           MH Enterprises<br />
                           Mudassar Bhatti Cotton Mill Near AMK Steel Mills <br />Opposite Maverick CNG Falsalabad <br />Bye Pass SheikhupuraK<br />
                           03218620288<br />
                        </td>

                        <td style="text-align: right;">
                          <b>SD Details:</b> <br />
                           Name: '.$sd_name.'.<br />
                           Phone: '.$sd_phone.'<br />
                           
                        </td>
                     </tr>
                     
                  </table>
               </td>
            </tr>
            '.$products_area.'
            <tr class="heading1">
                        <td colspan="3" style="text-align:right">Total</td>
                        <td>'.$total_cartons.'</td>
                        <td>'.$total_weight.'</td>
                        <td>'.$total_amount.'</td>
                     </tr>
            <tr class="heading1">
                        <td colspan="5" style="text-align:right;padding-right:20px">GST 22%: </td>
                        <td>'.$gst_amount.'</td>
            </tr>
            <tr class="heading1">
                        <td colspan="5" style="text-align:right;padding-right:20px">Advance WHT '.$whm_percentage.'%: </td>
                        <td>'.$whm_amount.'</td>
            </tr>
            <tr class="heading1">
                        <td colspan="5" style="text-align:right;padding-right:20px">Grand Total: </td>
                        <td>'.$grand_total.'</td>
            </tr>      
            </table>
            <p style="margin:0px"><b>Driver Details:</b></p>
            <p style="margin:0px">Name: '.$driver_name.'</p>
            <p style="margin:0px">Phone: '.$driver_phone.'</p>
            <p style="margin:0px">Vehicle: '.$vehicle_no.'</p>
            </div>';


            $date=date("Y-m-d");
            $sd_name = str_replace(' ', '_', $sd_name);
            $PDFFileN = $sd_name."_".$date.".pdf";
            

            // instantiate and use the dompdf class
            $dompdf = new Dompdf(array('enable_remote' => true));

            $dompdf->loadHtml("$content");

            // (Optional) Setup the paper size and orientation
            $dompdf->setPaper('A4', 'portrait');

            // Render the HTML as PDF
            $dompdf->render();

            $dompdf->stream($PDFFileN);




           /* $dompdf->loadHtml("$content");
            $dompdf->render();

            $output = $dompdf->output();
            file_put_contents($Filename, $output);*/




}




 ?>


<?php
// Below is optional, remove if you have already connected to your database.
$mysqli = mysqli_connect('localhost', $username,$password,$database);

$quer="SELECT * FROM sales_history ORDER By sale_history_id desc"; 

$total_pages = $mysqli->query($quer)->num_rows;

// Check if the page number is specified and check if it's a number, if not return the default page number which is 1.
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;

// Number of results to show on each page.
$num_results_on_page = 25;
 $que="SELECT * FROM sales_history ORDER BY sale_history_id DESC LIMIT ?,?";


if ($stmt = $mysqli->prepare($que)) {
   // Calculate the page to get the results we need from our table.
   $calc_page = ($page - 1) * $num_results_on_page;
   $stmt->bind_param('ii', $calc_page, $num_results_on_page);
   $stmt->execute(); 
   // Get the results...
   $result = $stmt->get_result();
   ?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Sales List</title>
  <?php include "includes/links.php"; ?>

</head>

<body>

  <?php include "includes/header.php"; ?>
  <?php include "includes/sidebar.php"; ?>


  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="dashboard.php">Home</a></li>
          <li class="breadcrumb-item active">Sales List</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">

        <!-- Left side columns -->
        <div class="col-lg-12">
          
          <div class="card">
            <div class="card-body">
              <h5 class="card-title">Sales</h5>
              <?php if(isset($msg)){ echo $msg; } ?>
              <!-- No Labels Form -->
                <div class="col-md-12">
                  <table class="table datatable table-striped">
                <thead>
                  <tr>
                    <th>SD</th>
                    <th>Total Cartons</th>
                    <th>Total Weight</th>
                    <th>Total Amount</th>
                    <th>Date</th>
                    <th width="20%">Action</th>
                  </tr>
                </thead>
                <tbody>
                   <?php while ($fetch = $result->fetch_assoc()): ?>
                  <tr>
                    <td><?php 
                            $sd_id=$fetch["sd_id"];
                            $profile_query = mysqli_query($con,"SELECT * FROM `sub_distributor` where sub_distributor_id='$sd_id' ");
                            while($get = mysqli_fetch_array($profile_query)){
                              echo $get["name"];
                              $sd_active_balance=$get["sd_balance"];
                            }
                          ?></td>
                    <td><?php echo $fetch["total_cartons"]; ?></td>
                    <td><?php echo $fetch["total_weight"]; ?></td>
                    <td><?php echo number_format($fetch["total_amount"],2); ?></td>
                    <td><?php
                             $date_time=strtotime($fetch["date_time"]);
                             $formatted_date = date("D, d M y | h:i A", $date_time);
                             echo $formatted_date;
                             ?></td>
                    <td>
                      <form method="POST">
                      <input type="hidden" name="sale_history_id" value="<?php echo $fetch["sale_history_id"]; ?>">
                      <input type="hidden" name="sd_ac_balance" value="<?php echo $sd_active_balance; ?>">
                      <button class="btn btn-success btn-sm" type="submit" name="genrate_pdf"><i class="bi bi-file-earmark-pdf"></i></button>

                      <a href="view_sale.php?id=<?php echo $fetch["sale_history_id"]; ?>&sd_id=<?php echo $fetch["sd_id"]; ?>" class="btn btn-primary btn-sm" target="_blank"><i class="ri-eye-fill"></i></a>
                      
                      </form>
                      <?php  if($user_type!='warehouse'){  ?>
                      <button class="btn btn-danger btn-sm"  data-bs-toggle="modal" data-bs-target="#delete_modal<?php echo $fetch["sale_history_id"]; ?>"><i class="ri-delete-bin-2-fill"></i></button>
                      <?php } ?>
                    </td>

              
              <div class="modal fade" id="delete_modal<?php echo $fetch["sale_history_id"]; ?>" tabindex="-1">
                <div class="modal-dialog modal-md">
                  <div class="modal-content">
                    <div class="modal-header">
                      <h5 class="modal-title">Do you want to delete this record?</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                      <form method="POST">
                        <div class="row">
                      <div class="col-md-12">
                        <input type="hidden" name="amount" value="<?php echo $fetch["total_amount"]; ?>">
                        <input type="hidden" name="cartons" value="<?php echo $fetch["total_cartons"]; ?>">
                        
                        
                        <input type="hidden" name="sd_id" value="<?php echo $fetch["sd_id"]; ?>">
                        <input type="hidden" name="sale_date" value="<?php echo $fetch["sale_date"]; ?>">
                        <p>Do you want to delete this sale record?</p>
                      </div>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-danger" name="delete">Yes Delete</button>
                    </div>
                    </form>
                  </div>
                </div>
              </div><!-- End Extra Large Modal-->                  

                  </tr>
                  <?php endwhile; ?>               
                </tbody>
              </table>
                </div> 
<div class="dataTable-bottom">
         <?php if (ceil($total_pages / $num_results_on_page) > 0): ?>
        
         <ul class="news">
            <?php if ($page > 1): ?>
            <li class="prev"><a href="sales_list.php?page=<?php echo $page-1 ?>">Prev</a></li>
            <?php endif; ?>

            <?php if ($page > 3): ?>
            <li class="start"><a href="sales_list.php?page=1">1</a></li>
            <li class="dots">...</li>
            <?php endif; ?>

            <?php if ($page-2 > 0): ?><li class="page"><a href="sales_list.php?page=<?php echo $page-2 ?>"><?php echo $page-2 ?></a></li><?php endif; ?>
            <?php if ($page-1 > 0): ?><li class="page"><a href="sales_list.php?page=<?php echo $page-1 ?>"><?php echo $page-1 ?></a></li><?php endif; ?>

            <li class="currentpage"><a href="sales_list.php?page=<?php echo $page ?>"><?php echo $page ?></a></li>

            <?php if ($page+1 < ceil($total_pages / $num_results_on_page)+1): ?><li class="page"><a href="sales_list.php?page=<?php echo $page+1 ?>"><?php echo $page+1 ?></a></li><?php endif; ?>
            <?php if ($page+2 < ceil($total_pages / $num_results_on_page)+1): ?><li class="page"><a href="sales_list.php?page=<?php echo $page+2 ?>"><?php echo $page+2 ?></a></li><?php endif; ?>

            <?php if ($page < ceil($total_pages / $num_results_on_page)-2): ?>
            <li class="dots">...</li>
            <li class="end"><a href="sales_list.php?page=<?php echo ceil($total_pages / $num_results_on_page) ?>"><?php echo ceil($total_pages / $num_results_on_page) ?></a></li>
            <?php endif; ?>

            <?php if ($page < ceil($total_pages / $num_results_on_page)): ?>
            <li class="next"><a href="sales_list.php?page=<?php echo $page+1 ?>">Next</a></li>
            <?php endif; ?>
         </ul>
         <?php endif; ?>
                              </div>                             
            </div>
          </div>
        </div><!-- End Left side columns -->

        

      </div>
    </section>

  </main><!-- End #main -->

  <?php include "includes/footer.php"; ?>

  <?php include "includes/scripts.php"; ?>
  <style>        
        .news {
            list-style-type: none;
            padding: 10px 0;
            display: inline-flex;
            justify-content: space-between;
            box-sizing: border-box;
         }
         .news li {
            box-sizing: border-box;
            padding-right: 10px;
         }
         .news li a {
            box-sizing: border-box;
            background-color: #e2e6e6;
            padding: 8px;
            text-decoration: none;
            font-size: 12px;
            font-weight: bold;
            color: #616872;
            border-radius: 4px;
         }
         .news li a:hover {
            background-color: #d4dada;
         }
         .news .next a, .news .prev a {
            text-transform: uppercase;
            font-size: 12px;
         }
         .news .currentpage a {
            background-color: #518acb;
            color: #fff;
         }
         .news .currentpage a:hover {
            background-color: #518acb;
         }
         </style>
         <script type="text/javascript">          
             const datatables = select('.datatable', true)
              datatables.forEach(datatable => {
                new simpleDatatables.DataTable(datatable, {
                  perPageSelect: [5, 10, 15, ["All", -1]],
                  "paging": false,
                  columns: [{
                      select: 2,
                      sortSequence: ["desc", "asc"]
                    },
                    {
                      select: 3,
                      sortSequence: ["desc"]
                    },
                    {
                      select: 4,
                      cellClass: "green",
                      headerClass: "red"
                    }
                  ]
                });
              })
         </script>
</body>

</html>
<?php
   $stmt->close();
}
?>